// utils/openInSameWindow.js

export function openInSameWindow(e, marker, baseUrl) {
  if (marker && marker.options && marker.options.link) {
    //console.log("Marker data:", baseUrl + marker.options.link);
    window.location.href = baseUrl + marker.options.link;
  } else {
    console.error("Fehler: Marker hat keine gültige 'link' Eigenschaft");
  }
}
